VERSION 5.00
Begin VB.UserControl NumberTextBox 
   ClientHeight    =   480
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   1200
   ScaleHeight     =   480
   ScaleWidth      =   1200
   ToolboxBitmap   =   "NumericTextBox.ctx":0000
   Begin VB.TextBox txtNumber 
      Alignment       =   1  'Right Justify
      Height          =   495
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   1195
   End
End
Attribute VB_Name = "NumberTextBox"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Attribute VB_Ext_KEY = "PropPageWizardRun" ,"Yes"
Dim sSaveText As String
Dim lSaveSelStart As Long

'Event Declarations:
Event Click() 'MappingInfo=txtNumber,txtNumber,-1,Click
Attribute Click.VB_Description = "Occurs when the user presses and then releases a mouse button over an object."
Attribute Click.VB_HelpID = 104
Event DblClick() 'MappingInfo=txtNumber,txtNumber,-1,DblClick
Attribute DblClick.VB_Description = "Occurs when the user presses and releases a mouse button and then presses and releases it again over an object."
Attribute DblClick.VB_HelpID = 105
Event KeyDown(KeyCode As Integer, Shift As Integer) 'MappingInfo=txtNumber,txtNumber,-1,KeyDown
Attribute KeyDown.VB_Description = "Occurs when the user presses a key while an object has the focus."
Attribute KeyDown.VB_HelpID = 114
Event KeyPress(KeyAscii As Integer) 'MappingInfo=txtNumber,txtNumber,-1,KeyPress
Attribute KeyPress.VB_Description = "Occurs when the user presses and releases an ANSI key."
Attribute KeyPress.VB_HelpID = 116
Event KeyUp(KeyCode As Integer, Shift As Integer) 'MappingInfo=txtNumber,txtNumber,-1,KeyUp
Attribute KeyUp.VB_Description = "Occurs when the user releases a key while an object has the focus."
Attribute KeyUp.VB_HelpID = 114
Event MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single) 'MappingInfo=txtNumber,txtNumber,-1,MouseDown
Attribute MouseDown.VB_Description = "Occurs when the user presses the mouse button while an object has the focus."
Attribute MouseDown.VB_HelpID = 122
Event MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single) 'MappingInfo=txtNumber,txtNumber,-1,MouseMove
Attribute MouseMove.VB_Description = "Occurs when the user moves the mouse."
Attribute MouseMove.VB_HelpID = 124
Event MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single) 'MappingInfo=txtNumber,txtNumber,-1,MouseUp
Attribute MouseUp.VB_Description = "Occurs when the user releases the mouse button while an object has the focus."
Attribute MouseUp.VB_HelpID = 122
Event Change() 'MappingInfo=txtNumber,txtNumber,-1,Change
Attribute Change.VB_Description = "Occurs when the contents of a control have changed."
Attribute Change.VB_HelpID = 103
Attribute Change.VB_MemberFlags = "200"
Event Validate(Cancel As Boolean) 'MappingInfo=txtNumber,txtNumber,-1,Validate
Attribute Validate.VB_Description = "Occurs when a control loses focus to a control that causes validation."
Attribute Validate.VB_HelpID = 130
'Default Property Values:
Const m_def_FocusColor = True
Const m_def_Max = 1000000
Const m_def_Min = -1000000
Const m_def_GotFoucsColor = &HC0C0FF
Const m_def_LostFocusColor = &H80000005
'Property Variables:
Dim m_FocusColor As Boolean
Dim m_Max As Currency
Dim m_Min As Currency
Dim m_GotFoucsColor As OLE_COLOR
Dim m_LostFocusColor As OLE_COLOR
Enum Appearance
    Flat
    [3D]
End Enum
Enum BorderStyle
    None
    FixedSingle
End Enum
Enum MousePointer
    Default
    Arrow
    Cross
    Ibeam
    Icon
    Size
    SizeNESW
    SizeNS
    SizeNWSE
    SizeEW
    UpArrow
    Hourglass
    NoDrop
    ArrowHourglass
    ArrowQuestion
    SizeAll
    Custom
End Enum
Enum LinkMode
    None
    Automatic
    Manual
    Notify
End Enum
Enum OLEDragMode
    Manual
    Automatic
End Enum
Enum OLEDropMode
    None
    Manual
    Automatic
End Enum
'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=txtNumber,txtNumber,-1,BackColor
Public Property Get BackColor() As OLE_COLOR
Attribute BackColor.VB_Description = "Returns/sets the background color used to display text and graphics in an object."
Attribute BackColor.VB_HelpID = 101
Attribute BackColor.VB_ProcData.VB_Invoke_Property = ";Appearance"
    BackColor = txtNumber.BackColor
End Property

Public Property Let BackColor(ByVal New_BackColor As OLE_COLOR)
    txtNumber.BackColor() = New_BackColor
    PropertyChanged "BackColor"
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=txtNumber,txtNumber,-1,ForeColor
Public Property Get ForeColor() As OLE_COLOR
Attribute ForeColor.VB_Description = "Returns/sets the foreground color used to display text and graphics in an object."
Attribute ForeColor.VB_HelpID = 101
Attribute ForeColor.VB_ProcData.VB_Invoke_Property = ";Appearance"
    ForeColor = txtNumber.ForeColor
End Property

Public Property Let ForeColor(ByVal New_ForeColor As OLE_COLOR)
    txtNumber.ForeColor() = New_ForeColor
    PropertyChanged "ForeColor"
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=txtNumber,txtNumber,-1,Enabled
Public Property Get Enabled() As Boolean
Attribute Enabled.VB_Description = "Returns/sets a value that determines whether an object can respond to user-generated events."
Attribute Enabled.VB_HelpID = 106
Attribute Enabled.VB_ProcData.VB_Invoke_Property = ";Behavior"
    Enabled = txtNumber.Enabled
End Property

Public Property Let Enabled(ByVal New_Enabled As Boolean)
    txtNumber.Enabled() = New_Enabled
    PropertyChanged "Enabled"
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=txtNumber,txtNumber,-1,Font
Public Property Get Font() As Font
Attribute Font.VB_Description = "Returns a Font object."
Attribute Font.VB_HelpID = 109
Attribute Font.VB_ProcData.VB_Invoke_Property = ";Font"
Attribute Font.VB_UserMemId = -512
    Set Font = txtNumber.Font
End Property

Public Property Set Font(ByVal New_Font As Font)
    Set txtNumber.Font = New_Font
    PropertyChanged "Font"
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=txtNumber,txtNumber,-1,BorderStyle
Public Property Get BorderStyle() As BorderStyle
Attribute BorderStyle.VB_Description = "Returns/sets the border style for an object."
Attribute BorderStyle.VB_HelpID = 102
Attribute BorderStyle.VB_ProcData.VB_Invoke_Property = ";Appearance"
    BorderStyle = txtNumber.BorderStyle
End Property

Public Property Let BorderStyle(ByVal New_BorderStyle As BorderStyle)
    txtNumber.BorderStyle() = New_BorderStyle
    PropertyChanged "BorderStyle"
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=txtNumber,txtNumber,-1,Refresh
Public Sub Refresh()
Attribute Refresh.VB_Description = "Forces a complete repaint of a object."
Attribute Refresh.VB_HelpID = 129
    txtNumber.Refresh
End Sub


'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=txtNumber,txtNumber,-1,Appearance
Public Property Get Appearance() As Appearance
Attribute Appearance.VB_Description = "Returns/sets whether or not an object is painted at run time with 3-D effects."
Attribute Appearance.VB_HelpID = 100
Attribute Appearance.VB_ProcData.VB_Invoke_Property = ";Appearance"
    Appearance = txtNumber.Appearance
End Property

Public Property Let Appearance(ByVal New_Appearance As Appearance)
    txtNumber.Appearance() = New_Appearance
    PropertyChanged "Appearance"
End Property


'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=txtNumber,txtNumber,-1,hWnd
Public Property Get hWnd() As Long
Attribute hWnd.VB_Description = "Returns a handle (from Microsoft Windows) to an object's window."
Attribute hWnd.VB_HelpID = 113
    hWnd = txtNumber.hWnd
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=txtNumber,txtNumber,-1,Locked
Public Property Get Locked() As Boolean
Attribute Locked.VB_Description = "Determines whether a control can be edited."
Attribute Locked.VB_HelpID = 118
Attribute Locked.VB_ProcData.VB_Invoke_Property = ";Behavior"
    Locked = txtNumber.Locked
End Property

Public Property Let Locked(ByVal New_Locked As Boolean)
    txtNumber.Locked() = New_Locked
    PropertyChanged "Locked"
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=txtNumber,txtNumber,-1,MaxLength
Public Property Get MaxLength() As Long
Attribute MaxLength.VB_Description = "Returns/sets the maximum number of characters that can be entered in a control."
Attribute MaxLength.VB_HelpID = 120
Attribute MaxLength.VB_ProcData.VB_Invoke_Property = ";Behavior"
    MaxLength = txtNumber.MaxLength
End Property

Public Property Let MaxLength(ByVal New_MaxLength As Long)
    txtNumber.MaxLength() = New_MaxLength
    PropertyChanged "MaxLength"
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=txtNumber,txtNumber,-1,MouseIcon
Public Property Get MouseIcon() As Picture
Attribute MouseIcon.VB_Description = "Sets a custom mouse icon."
Attribute MouseIcon.VB_HelpID = 123
    Set MouseIcon = txtNumber.MouseIcon
End Property

Public Property Set MouseIcon(ByVal New_MouseIcon As Picture)
    Set txtNumber.MouseIcon = New_MouseIcon
    PropertyChanged "MouseIcon"
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=txtNumber,txtNumber,-1,MousePointer
Public Property Get MousePointer() As MousePointer
Attribute MousePointer.VB_Description = "Returns/sets the type of mouse pointer displayed when over part of an object."
Attribute MousePointer.VB_HelpID = 125
    MousePointer = txtNumber.MousePointer
End Property

Public Property Let MousePointer(ByVal New_MousePointer As MousePointer)
    txtNumber.MousePointer() = New_MousePointer
    PropertyChanged "MousePointer"
End Property

Private Sub txtNumber_Validate(Cancel As Boolean)
    RaiseEvent Validate(Cancel)
End Sub

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=txtNumber,txtNumber,-1,Text
Public Property Get Value() As Currency
Attribute Value.VB_Description = "Returns/sets the value contained in the control."
Attribute Value.VB_HelpID = 131
Attribute Value.VB_ProcData.VB_Invoke_Property = ";Value"
Attribute Value.VB_UserMemId = 0
Attribute Value.VB_MemberFlags = "224"
    Value = txtNumber.Text
End Property

Public Property Let Value(ByVal New_Value As Currency)
    If New_Value > m_Max Then New_Value = m_Max
    If New_Value < m_Min Then New_Value = m_Min
    txtNumber.Text() = New_Value
    PropertyChanged "Value"
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MemberInfo=10,0,0,&H00FFFF
Public Property Get GotFoucsColor() As OLE_COLOR
Attribute GotFoucsColor.VB_Description = "Returns/sets the background color when control got the focus."
Attribute GotFoucsColor.VB_HelpID = 107
Attribute GotFoucsColor.VB_ProcData.VB_Invoke_Property = ";Color"
    GotFoucsColor = m_GotFoucsColor
End Property

Public Property Let GotFoucsColor(ByVal New_GotFoucsColor As OLE_COLOR)
    m_GotFoucsColor = New_GotFoucsColor
    PropertyChanged "GotFoucsColor"
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MemberInfo=10,0,0,&HFFFFFF
Public Property Get LostFocusColor() As OLE_COLOR
Attribute LostFocusColor.VB_Description = "Returns/sets the background color when control lost the focus."
Attribute LostFocusColor.VB_HelpID = 117
Attribute LostFocusColor.VB_ProcData.VB_Invoke_Property = ";Color"
    LostFocusColor = m_LostFocusColor
End Property

Public Property Let LostFocusColor(ByVal New_LostFocusColor As OLE_COLOR)
    m_LostFocusColor = New_LostFocusColor
    PropertyChanged "LostFocusColor"
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MemberInfo=2,0,0,1000000
Public Property Get Max() As Currency
Attribute Max.VB_Description = "Returns/sets numeric text box's maximum value property."
Attribute Max.VB_HelpID = 119
Attribute Max.VB_ProcData.VB_Invoke_Property = ";Value"
    Max = m_Max
End Property

Public Property Let Max(ByVal New_Max As Currency)
    m_Max = New_Max
    PropertyChanged "Max"
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MemberInfo=2,0,0,-1000000
Public Property Get Min() As Currency
Attribute Min.VB_Description = "Returns/sets numeric text box's minimum value property."
Attribute Min.VB_HelpID = 119
Attribute Min.VB_ProcData.VB_Invoke_Property = ";Value"
    Min = m_Min
End Property

Public Property Let Min(ByVal New_Min As Currency)
    m_Min = New_Min
    PropertyChanged "Min"
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MemberInfo=0,0,0,True
Public Property Get FocusColor() As Boolean
Attribute FocusColor.VB_Description = "Determines whether a control should change the background color according to the enter focus color/leave focus color.  "
Attribute FocusColor.VB_HelpID = 108
Attribute FocusColor.VB_ProcData.VB_Invoke_Property = ";Color"
    FocusColor = m_FocusColor
End Property

Public Property Let FocusColor(ByVal New_FocusColor As Boolean)
    m_FocusColor = New_FocusColor
    PropertyChanged "FocusColor"
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MemberInfo=5
Public Sub AboutBox()
Attribute AboutBox.VB_Description = "About box of the control."
Attribute AboutBox.VB_HelpID = 1
Attribute AboutBox.VB_UserMemId = -552
Attribute AboutBox.VB_MemberFlags = "40"
    On Error GoTo ErrorHandlar
    frmAbout.Show vbModal
    Unload frmAbout
    Set frmAbout = Nothing
ErrorHandlar:
End Sub

Private Sub UserControl_ExitFocus()
    If Val(txtNumber) > m_Max Then txtNumber = m_Max
    If Val(txtNumber) < m_Min Then txtNumber = m_Min
End Sub

Private Sub UserControl_Initialize()
    txtNumber = 0
    txtNumber.MaxLength = 11
End Sub

'Initialize Properties for User Control
Private Sub UserControl_InitProperties()
    App.HelpFile = App.Path & "\NUMERIC TEXTBOX.hlp"
    m_GotFoucsColor = m_def_GotFoucsColor
    m_LostFocusColor = m_def_LostFocusColor
    m_Max = m_def_Max
    m_Min = m_def_Min
    m_FocusColor = m_def_FocusColor
End Sub

Private Sub UserControl_Resize()
    txtNumber.Move 0, 0, ScaleWidth, ScaleHeight
End Sub

'Load property values from storage
Private Sub UserControl_ReadProperties(PropBag As PropertyBag)

    txtNumber.BackColor = PropBag.ReadProperty("BackColor", &H80000005)
    txtNumber.ForeColor = PropBag.ReadProperty("ForeColor", &H80000008)
    txtNumber.Enabled = PropBag.ReadProperty("Enabled", True)
    Set txtNumber.Font = PropBag.ReadProperty("Font", Ambient.Font)
    txtNumber.BorderStyle = PropBag.ReadProperty("BorderStyle", 1)
    txtNumber.Appearance = PropBag.ReadProperty("Appearance", 1)
    txtNumber.Locked = PropBag.ReadProperty("Locked", False)
    txtNumber.MaxLength = PropBag.ReadProperty("MaxLength", 0)
    Set MouseIcon = PropBag.ReadProperty("MouseIcon", Nothing)
    txtNumber.MousePointer = PropBag.ReadProperty("MousePointer", 0)
    txtNumber.Text = PropBag.ReadProperty("Value", "")
    m_GotFoucsColor = PropBag.ReadProperty("GotFoucsColor", m_def_GotFoucsColor)
    m_LostFocusColor = PropBag.ReadProperty("LostFocusColor", m_def_LostFocusColor)
    m_Max = PropBag.ReadProperty("Max", m_def_Max)
    m_Min = PropBag.ReadProperty("Min", m_def_Min)
    m_FocusColor = PropBag.ReadProperty("FocusColor", m_def_FocusColor)
    txtNumber.FontBold = PropBag.ReadProperty("FontBold", 0)
    txtNumber.FontItalic = PropBag.ReadProperty("FontItalic", 0)
    txtNumber.FontName = PropBag.ReadProperty("FontName", Ambient.Font.Name)
    txtNumber.FontSize = PropBag.ReadProperty("FontSize", Ambient.Font.Size)
    txtNumber.FontStrikethru = PropBag.ReadProperty("FontStrikethru", 0)
    txtNumber.FontUnderline = PropBag.ReadProperty("FontUnderline", 0)
    txtNumber.OLEDragMode = PropBag.ReadProperty("OLEDragMode", 0)
    txtNumber.OLEDropMode = PropBag.ReadProperty("OLEDropMode", 0)
End Sub

'Write property values to storage
Private Sub UserControl_WriteProperties(PropBag As PropertyBag)

    Call PropBag.WriteProperty("BackColor", txtNumber.BackColor, &H80000005)
    Call PropBag.WriteProperty("ForeColor", txtNumber.ForeColor, &H80000008)
    Call PropBag.WriteProperty("Enabled", txtNumber.Enabled, True)
    Call PropBag.WriteProperty("Font", txtNumber.Font, Ambient.Font)
    Call PropBag.WriteProperty("BorderStyle", txtNumber.BorderStyle, 1)
    Call PropBag.WriteProperty("Appearance", txtNumber.Appearance, 1)
    Call PropBag.WriteProperty("Locked", txtNumber.Locked, False)
    Call PropBag.WriteProperty("MaxLength", txtNumber.MaxLength, 0)
    Call PropBag.WriteProperty("MouseIcon", MouseIcon, Nothing)
    Call PropBag.WriteProperty("MousePointer", txtNumber.MousePointer, 0)
    Call PropBag.WriteProperty("Value", txtNumber.Text, "")
    Call PropBag.WriteProperty("GotFoucsColor", m_GotFoucsColor, m_def_GotFoucsColor)
    Call PropBag.WriteProperty("LostFocusColor", m_LostFocusColor, m_def_LostFocusColor)
    Call PropBag.WriteProperty("Max", m_Max, m_def_Max)
    Call PropBag.WriteProperty("Min", m_Min, m_def_Min)
    Call PropBag.WriteProperty("FocusColor", m_FocusColor, m_def_FocusColor)
    Call PropBag.WriteProperty("FontBold", txtNumber.FontBold, 0)
    Call PropBag.WriteProperty("FontItalic", txtNumber.FontItalic, 0)
    Call PropBag.WriteProperty("FontName", txtNumber.FontName, Ambient.Font.Name)
    Call PropBag.WriteProperty("FontSize", txtNumber.FontSize, Ambient.Font.Size)
    Call PropBag.WriteProperty("FontStrikethru", txtNumber.FontStrikethru, 0)
    Call PropBag.WriteProperty("FontUnderline", txtNumber.FontUnderline, 0)
    Call PropBag.WriteProperty("OLEDragMode", txtNumber.OLEDragMode, 0)
    Call PropBag.WriteProperty("OLEDropMode", txtNumber.OLEDropMode, 0)
End Sub

Private Sub txtNumber_Change()
    ' Avoid nested calls.
    Static nestedCall As Boolean
    If nestedCall Then Exit Sub
    ' Test the control's value here.
    If IsNumeric(txtNumber) Then
        ' If value is OK, save values.
        sSaveText = txtNumber
        lSaveSelStart = txtNumber.SelStart
    Else
        ' Prepare to handle a nested call.
        nestedCall = True
        txtNumber.Text = sSaveText
        nestedCall = False
        txtNumber.SelStart = lSaveSelStart
    End If
    RaiseEvent Change
End Sub

Private Sub txtNumber_Click()
    RaiseEvent Click
End Sub

Private Sub txtNumber_DblClick()
    RaiseEvent DblClick
End Sub

Private Sub txtNumber_GotFocus()
    sSaveText = txtNumber
    lSaveSelStart = txtNumber.SelStart
    If FocusColor Then txtNumber.BackColor = GotFoucsColor
End Sub

Private Sub txtNumber_KeyDown(KeyCode As Integer, Shift As Integer)
    On Error Resume Next
    If Not txtNumber.Locked Then
        Select Case KeyCode
            Case vbKeyUp: txtNumber = CDbl(txtNumber) + 1
            Case vbKeyDown: txtNumber = CDbl(txtNumber) - 1
            Case vbKeyDelete
                If Len(txtNumber) = 1 Then txtNumber = 0
                If Len(txtNumber.SelText) = Len(txtNumber) Then txtNumber = 0
    End Select
    End If
    RaiseEvent KeyDown(KeyCode, Shift)
End Sub

Private Sub txtNumber_KeyPress(KeyAscii As Integer)
    If KeyAscii = vbKeySpace Then KeyAscii = 0
    RaiseEvent KeyPress(KeyAscii)
End Sub

Private Sub txtNumber_KeyUp(KeyCode As Integer, Shift As Integer)
    lSaveSelStart = txtNumber.SelStart
    RaiseEvent KeyUp(KeyCode, Shift)
End Sub

Private Sub txtNumber_LostFocus()
    If FocusColor Then txtNumber.BackColor = LostFocusColor
End Sub

Private Sub txtNumber_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    lSaveSelStart = txtNumber.SelStart
    RaiseEvent MouseDown(Button, Shift, X, Y)
End Sub

Private Sub txtNumber_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    lSaveSelStart = txtNumber.SelStart
    RaiseEvent MouseMove(Button, Shift, X, Y)
End Sub

Private Sub txtNumber_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    RaiseEvent MouseUp(Button, Shift, X, Y)
End Sub

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=txtNumber,txtNumber,-1,FontBold
Public Property Get FontBold() As Boolean
Attribute FontBold.VB_Description = "Returns/sets bold font styles."
Attribute FontBold.VB_HelpID = 110
Attribute FontBold.VB_MemberFlags = "400"
    FontBold = txtNumber.FontBold
End Property

Public Property Let FontBold(ByVal New_FontBold As Boolean)
    txtNumber.FontBold() = New_FontBold
    PropertyChanged "FontBold"
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=txtNumber,txtNumber,-1,FontItalic
Public Property Get FontItalic() As Boolean
Attribute FontItalic.VB_Description = "Returns/sets italic font styles."
Attribute FontItalic.VB_HelpID = 110
Attribute FontItalic.VB_MemberFlags = "400"
    FontItalic = txtNumber.FontItalic
End Property

Public Property Let FontItalic(ByVal New_FontItalic As Boolean)
    txtNumber.FontItalic() = New_FontItalic
    PropertyChanged "FontItalic"
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=txtNumber,txtNumber,-1,FontName
Public Property Get FontName() As String
Attribute FontName.VB_HelpID = 110
Attribute FontName.VB_MemberFlags = "400"
    FontName = txtNumber.FontName
End Property
'
Public Property Let FontName(ByVal New_FontName As String)
    txtNumber.FontName() = New_FontName
    PropertyChanged "FontName"
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=txtNumber,txtNumber,-1,FontSize
Public Property Get FontSize() As Single
Attribute FontSize.VB_Description = "Specifies the size (in points) of the font that appears in each row for the given level."
Attribute FontSize.VB_HelpID = 112
Attribute FontSize.VB_MemberFlags = "400"
    FontSize = txtNumber.FontSize
End Property

Public Property Let FontSize(ByVal New_FontSize As Single)
    txtNumber.FontSize() = New_FontSize
    PropertyChanged "FontSize"
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=txtNumber,txtNumber,-1,FontStrikethru
Public Property Get FontStrikethru() As Boolean
Attribute FontStrikethru.VB_Description = "Returns/sets strikethrough font styles."
Attribute FontStrikethru.VB_HelpID = 110
Attribute FontStrikethru.VB_MemberFlags = "400"
    FontStrikethru = txtNumber.FontStrikethru
End Property

Public Property Let FontStrikethru(ByVal New_FontStrikethru As Boolean)
    txtNumber.FontStrikethru() = New_FontStrikethru
    PropertyChanged "FontStrikethru"
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=txtNumber,txtNumber,-1,FontUnderline
Public Property Get FontUnderline() As Boolean
Attribute FontUnderline.VB_Description = "Returns/sets underline font styles."
Attribute FontUnderline.VB_HelpID = 110
Attribute FontUnderline.VB_MemberFlags = "400"
    FontUnderline = txtNumber.FontUnderline
End Property

Public Property Let FontUnderline(ByVal New_FontUnderline As Boolean)
    txtNumber.FontUnderline() = New_FontUnderline
    PropertyChanged "FontUnderline"
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=txtNumber,txtNumber,-1,OLEDrag
Public Sub OLEDrag()
Attribute OLEDrag.VB_Description = "Starts an OLE drag/drop event with the given control as the source."
Attribute OLEDrag.VB_HelpID = 126
    txtNumber.OLEDrag
End Sub

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=txtNumber,txtNumber,-1,OLEDragMode
Public Property Get OLEDragMode() As OLEDragMode
Attribute OLEDragMode.VB_Description = "Returns/Sets whether this object can act as an OLE drag/drop source, and whether this process is started automatically or under programmatic control."
Attribute OLEDragMode.VB_HelpID = 127
    OLEDragMode = txtNumber.OLEDragMode
End Property

Public Property Let OLEDragMode(ByVal New_OLEDragMode As OLEDragMode)
    txtNumber.OLEDragMode() = New_OLEDragMode
    PropertyChanged "OLEDragMode"
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=txtNumber,txtNumber,-1,OLEDropMode
Public Property Get OLEDropMode() As OLEDropMode
Attribute OLEDropMode.VB_Description = "Returns/Sets whether this object can act as an OLE drop target, and whether this takes place automatically or under programmatic control."
Attribute OLEDropMode.VB_HelpID = 128
    OLEDropMode = txtNumber.OLEDropMode
End Property

Public Property Let OLEDropMode(ByVal New_OLEDropMode As OLEDropMode)
    txtNumber.OLEDropMode() = New_OLEDropMode
    PropertyChanged "OLEDropMode"
End Property
